/*
 * Copyright (C) Photon Vision.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include <string.h>
#include <regex>

/*
 * Autogenerated file! Do not manually edit this file. This version is
 * regenerated any time the publish task is run, or when this file is deleted.
 */

namespace photonlib {
  namespace PhotonVersion {
    const std::string versionString = "dev-v2023.3.0-8-g3edc8750";
    const std::string buildDate = "2023-2-11 12:55:50";
    const bool isRelease = !(versionString.rfind("dev", 0) == 0);
  }

  bool VersionMatches(const std::string& other) {
    std::smatch match;
    std::regex versionPattern{"v[0-9]+.[0-9]+.[0-9]+"};
    // Check that both versions are in the right format
    if (std::regex_search(PhotonVersion::versionString, match, versionPattern) &&
        std::regex_search(other, match, versionPattern)) {
      // If they are, check string equality
      return (PhotonVersion::versionString == other);
    } else {
        return false;
    }
  }
}
